Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007526 [DCSS] Bug Report minor always 2013-08-30 17:33 2014-04-10 20:29
Reporter Siegurt View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007526: Brand noise is negated by a later call to adjust_noise
Description In apply_damage_brand the noise_level is adjusted according to the type of brand being used, to make the attack noisier or quieter depending on the brand of the weapon.

However apply_damage_brand is called from hande_phase_hit which is called well before the noise is actually handled.

later in Melee::attack, adjust_noise is called (which sets the base noise_level according to the variety of attack done.) right before handle_noise actually handles the melee noise done.

since adjust_noise actually just sets noise_level directly (it isn't additive or anything) it simply overwrites all the work that apply_damage_brand does to the weapon itself.

I propose that noise_level be set to a base level using adjust_noise up near the top of the melee::attack function, allowing apply_damage_brand to adjust the noise_level, and any later adjustments which it's deemed required down the road.

I further propose that rather than the noise_level for stabs being set to 0 in handle_noise itself (Which always seemed to be a bit of a kludge to me) that the noise_level be set to 0 in the player_stab_check function when a stab is successful, which would actually work if we moved adjust_noise to the top of the function, also I personally would rename adjust_noise to something like "set_base_attack_noise" or something adjust_noise is a little vague for my tastes.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0024083)
Cryptic (developer)
2013-09-24 17:17

Noise handling was not addressed in my combat rewrite, and the calls to adjust_noise, etc. were maintained almost entirely, thus its possible the brand noise adjustment has been discarded for some time (at least prior to combat rewrite, but I couldn't be certain in this regard).

Renaming adjust_noise to set_base_attack_noise is fine with me, an incremental system where the base noise is set and then each area of the code modifies (in either a positive or negative fashion) the noise level is a more robust approach.

As for the ordering of how and when the noise level is set, I would need to check on that myself to verify.
(0025774)
MarvinPA (developer)
2014-04-03 20:56

This was fixed in 0496ee7bb692ec127.

- Issue History
Date Modified Username Field Change
2013-08-30 17:33 Siegurt New Issue
2013-09-24 17:17 Cryptic Note Added: 0024083
2014-04-03 20:56 MarvinPA Note Added: 0025774
2014-04-03 20:56 MarvinPA Status new => resolved
2014-04-03 20:56 MarvinPA Fixed in Branch => 0.14 development branch
2014-04-03 20:56 MarvinPA Resolution open => done
2014-04-03 20:56 MarvinPA Assigned To => MarvinPA
2014-04-10 20:29 Siegurt Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker